Package Details: retroshare-git v0.6.5.r0.gd63655c9b-1

Git Clone URL: https://aur.archlinux.org/retroshare-git.git (read-only)
Package Base: retroshare-git
Description: Serverless encrypted instant messenger with filesharing, chatgroups, e-mail.
Upstream URL: http://retroshare.cc/
Keywords: i2p retroshare tor
Licenses: GPL, LGPL
Conflicts: retroshare
Provides: retroshare
Submitter: sehraf
Maintainer: sehraf
Last Packager: sehraf
Votes: 20
Popularity: 0.033095
First Submitted: 2015-08-04 08:22
Last Updated: 2019-02-05 18:24

Dependencies (11)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

Fanch commented on 2014-10-19 07:50

Here is the diff to go back on trunk :

> PKGBUIL for 0.6
>
7c9
< _build_linkscloud=true
---
> _build_linkscloud=false
13,15c15,18
< _branch="branches/v0.5.5"
< #_svnmod=trunk
< _svnmod=v0.5.5
---
> _branch="trunk"
> #_branch="branches/v0.5.5"
> _svnmod=trunk
> #_svnmod=v0.5.5
18c21
< pkgver=7589
---
> pkgver=7621
24c27
< depends=('qt4' 'libupnp' 'libgnome-keyring' 'libxss')
---
> depends=('qt4' 'libupnp' 'libgnome-keyring' 'libxss' 'sqlcipher' 'opencv')
26,27c29,30
< provides=('retroshare')
< conflicts=('retroshare')
---
> provides=('retroshare06')
> conflicts=('retroshare06')
44c47
< # Since makepkg 4.1.0 uses svn export, version_detail.sh doesn’t work
---
> # Since makepkg 4.1.0 uses svn export, version_detail.sh doesn’t work
68a72,77
> msg "Compiling support libs (pegmarkdown)..."
> cd supportlibs/pegmarkdown
> $_qmake
> make
> cd ../..
>
121c130
< install -D -m 755 retroshare-gui/src/RetroShare "$pkgdir/usr/bin/retroshare"
---
> install -D -m 755 retroshare-gui/src/RetroShare "$pkgdir/usr/bin/retroshare06"
125c134
< "${pkgdir}/usr/bin/retroshare-nogui"
---
> "${pkgdir}/usr/bin/retroshare-nogui06"
151c160
< Name=RetroShare
---
> Name=RetroShare06
155c164
< Exec=/usr/bin/retroshare
---
> Exec=/usr/bin/retroshare06
161c170
< "retroshare-gui/src/gui/images/retrosharelogo1.png" \
---
> "retroshare-gui/src/gui/images/logo/logo_512.png" \
171a181
>

BrunoSpy commented on 2014-08-20 16:03

Confirm : it works with makepkg.

Anonymous comment on 2014-08-20 10:27

@BrunoSpy: works here; please try makepkg instead of yaourt.

BrunoSpy commented on 2014-08-20 07:22

I've an issue with this package :

==> Entering fakeroot environment...
chmod: cannot access '/home/retroshare/yaourt-tmp-retroshare/aur-retroshare-svn/retroshare-svn/pkg': No such file or directory
/usr/bin/fakeroot: line 181: 6851 User defined signal 1 FAKEROOTKEY=$FAKEROOTKEY LD_LIBRARY_PATH="$PATHS" LD_PRELOAD="$LIB" "$@"

Anonymous comment on 2014-04-13 15:17

Updated to build branch v0.5.5 instead of (broken) trunk.

@teke: looks like a hardware problem on your computer.

teke commented on 2014-04-12 07:42

++: erreur: ../../supportlibs/pegmarkdown/lib/libpegmarkdown.a: Aucun fichier ou dossier de ce type
g++: erreur: ../../../lib/sqlcipher/.libs/libsqlcipher.a: Aucun fichier ou dossier de ce type
Makefile:995: recipe for target 'RetroShare' failed
make: *** [RetroShare] Error 1
==> ERREUR : Une erreur s’est produite dans build().
Abandon...
==> ERREUR: Makepkg n'a pas pu construire retroshare-svn.
==> Relancer la compilation de retroshare-svn ? [o/N]
==> -------------------------------------------------
==>

Cela fait plusieurs mois qu'il ne m'est plus possible de mettre à jour. et la version 6078 du paquet non svn est inutilisable (freeze, disparition des téléchargement au démarage, utilisation de 190% de cpu...)
Une sollution ?

Anonymous comment on 2014-04-10 14:23

Because of the openssl heartbleed leak, it’s important that you update your Arch system ASAP and restart Retroshare. You should have openssl 1.0.1.g.

sehraf commented on 2014-02-02 21:42

thx!

another thing: since 0.6 is merged in the trunk you have to build the supportlibs (pegmarkdown) and you need https://aur.archlinux.org/packages/sqlcipher/ .. the only problem with the later is that rs (or better the .pro file) doesn't detect an installed version of libsqlcipher --> you have to edit the retroshare-(no)gui.pro file and change 'LIBS += ../../../lib/sqlcipher/.libs/libsqlcipher.a' to 'LIBS += /usr/lib/libsqlite3-cipher.a' (at least as long as they don't fix it upstream .....)

Anonymous comment on 2014-02-02 00:33

@sehraf: there you go, arm stuff added.

@all: unless you want and know how to beta-test retroshare v0.6, please use the “retroshare” AUR package during the next few weeks.

sehraf commented on 2014-02-01 23:02

@stqn: ArchARM only builds a few AUR packages (https://github.com/archlinuxarm/PKGBUILDs/#aur) and other packages (e.g. https://aur.archlinux.org/packages/bt/btsync/PKGBUILD) add most arm versions, too. so i guess you'll have to add those arches :P